diff --git a/src/gui/res/lang/gui_fr.ts b/src/gui/res/lang/gui_fr.ts
index 811ec5fd..8e0b0404 100644
--- a/src/gui/res/lang/gui_fr.ts
+++ b/src/gui/res/lang/gui_fr.ts
@@ -26,15 +26,7 @@ Synergy is based on CosmoSynergy by Richard Lee and Adam Feder.&lt;br /&gt;
 The Synergy GUI is based on QSynergy by Volker Lanz.&lt;br /&gt;&lt;br /&gt;
 Visit our website for help and info (synergy-project.org).
 &lt;/p&gt;</oldsource>
-        <translation type="finished">&lt;p&gt;
-Application de partage de clavier et souris. Multi-plateformes et open source.&lt;br /&gt;&lt;br /&gt;
-Copyright © 2012 Synergy Si Ltd.&lt;br /&gt;
-Copyright © 2002-2012 Chris Schoeneman, Nick Bolton, Volker Lanz.&lt;br /&gt;&lt;br /&gt;
-Synergy est publié sous la licence GNU General Public License (GPLv2).&lt;br /&gt;&lt;br /&gt;
-Synergy est basé sur CosmoSynergy par Richard Lee et Adam Feder.&lt;br /&gt;
-L'interface de Synergy est basée sur QSynergy par Volker Lanz.&lt;br /&gt;&lt;br /&gt;
-Vistez notre site web pour aide et information (synergy-project.org).
-&lt;/p&gt;</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="res/AboutDialogBase.ui" line="140"/>
@@ -150,6 +142,24 @@ Vistez notre site web pour aide et information (synergy-project.org).
         <translation type="finished">La touche de raccourci est relachée.</translation>
     </message>
 </context>
+<context>
+    <name>AddClientDialog</name>
+    <message>
+        <location filename="res/AddClientDialogBase.ui" line="20"/>
+        <source>Dialog</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/AddClientDialogBase.ui" line="35"/>
+        <source>TextLabel</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/AddClientDialogBase.ui" line="83"/>
+        <source>Ignore auto connect clients</source>
+        <translation type="unfinished"></translation>
+    </message>
+</context>
 <context>
     <name>HotkeyDialogBase</name>
     <message>
@@ -166,170 +176,215 @@ Vistez notre site web pour aide et information (synergy-project.org).
 <context>
     <name>MainWindow</name>
     <message>
-        <location filename="src/MainWindow.cpp" line="642"/>
+        <location filename="src/MainWindow.cpp" line="790"/>
         <source>&amp;Start</source>
         <translation type="finished">&amp;Démarrer</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="196"/>
+        <location filename="src/MainWindow.cpp" line="237"/>
         <source>&amp;File</source>
         <translation type="finished">&amp;Fichier</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="197"/>
+        <location filename="src/MainWindow.cpp" line="238"/>
         <source>&amp;Edit</source>
         <translation type="finished">&amp;Editer</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="198"/>
+        <location filename="src/MainWindow.cpp" line="239"/>
         <source>&amp;Window</source>
         <translation type="finished">&amp;Fenêtre</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="199"/>
+        <location filename="src/MainWindow.cpp" line="240"/>
         <source>&amp;Help</source>
         <translation type="finished">&amp;Aide</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="326"/>
-        <source>&lt;p&gt;Version %1 is now available, &lt;a href=&quot;%2&quot;&gt;visit website&lt;/a&gt;.&lt;/p&gt;</source>
-        <translation type="finished">&lt;p&gt;La version %1 est disponible, &lt;a href=&quot;%2&quot;&gt;visitez le site&lt;/a&gt;.&lt;/p&gt;</translation>
+        <location filename="src/MainWindow.cpp" line="364"/>
+        <source>&lt;p&gt;Your version of Synergy is out of date. Version &lt;b&gt;%1&lt;/b&gt; is now available to &lt;a href=&quot;%2&quot;&gt;download&lt;/a&gt;.&lt;/p&gt;</source>
+        <oldsource>&lt;p&gt;Version %1 is now available, &lt;a href=&quot;%2&quot;&gt;visit website&lt;/a&gt;.&lt;/p&gt;</oldsource>
+        <translation type="finished">&lt;p&gt;Votre version de Synergy est périmée. La version &lt;b&gt;%1&lt;/b&gt; est désormais disponible au &lt;a href=&quot;%2&quot;&gt;téléchargement&lt;/a&gt;.&lt;/p&gt;</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="458"/>
+        <location filename="src/MainWindow.cpp" line="577"/>
         <source>Program can not be started</source>
         <translation type="finished">Le programme ne peut pas démarrer</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="458"/>
+        <location filename="src/MainWindow.cpp" line="577"/>
         <source>The executable&lt;br&gt;&lt;br&gt;%1&lt;br&gt;&lt;br&gt;could not be successfully started, although it does exist. Please check if you have sufficient permissions to run this program.</source>
         <translation type="finished">L'exécutable&lt;br&gt;&lt;br&gt;%1&lt;br&gt;&lt;br&gt;n'a pas pu être correctement lancé, bien qu'il existe. Veuillez vérifier si vos permissions sont suffisantes pour lancer ce programme.</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="477"/>
+        <location filename="src/MainWindow.cpp" line="596"/>
         <source>Synergy client not found</source>
         <translation type="finished">Le client Synergy n'est pas détecté</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="478"/>
+        <location filename="src/MainWindow.cpp" line="597"/>
         <source>The executable for the synergy client does not exist.</source>
         <translation type="finished">L’exécutable du client Synergy n'existe pas</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="485"/>
+        <location filename="src/MainWindow.cpp" line="625"/>
         <source>Hostname is empty</source>
         <translation type="finished">Le nom d'hôte est vide</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="486"/>
+        <location filename="src/MainWindow.cpp" line="626"/>
         <source>Please fill in a hostname for the synergy client to connect to.</source>
         <translation type="finished">Veuillez renseigner un nom d'hôte auquel le client Synergy doit se connecter</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="511"/>
+        <location filename="src/MainWindow.cpp" line="646"/>
         <source>Cannot write configuration file</source>
         <translation type="finished">Impossible d'écrire le fichier de configuration.</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="511"/>
+        <location filename="src/MainWindow.cpp" line="646"/>
         <source>The temporary configuration file required to start synergy can not be written.</source>
         <translation type="finished">Impossible d'écrire le fichier temporaire de configuration, nécessaire au lancement de synergy.</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="524"/>
+        <location filename="src/MainWindow.cpp" line="659"/>
         <source>Configuration filename invalid</source>
         <translation type="finished">Le nom du fichier de configuration est incorrect.</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="525"/>
+        <location filename="src/MainWindow.cpp" line="660"/>
         <source>You have not filled in a valid configuration file for the synergy server. Do you want to browse for the configuration file now?</source>
         <translation type="finished">Le fichier de configuration du serveur synergy n'est pas correct. Voulez vous visualiser ce fichier ? </translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="552"/>
+        <location filename="src/MainWindow.cpp" line="688"/>
         <source>Synergy server not found</source>
         <translation type="finished">Le serveur Synergy n'a pas été détecté</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="553"/>
+        <location filename="src/MainWindow.cpp" line="689"/>
         <source>The executable for the synergy server does not exist.</source>
         <translation type="finished">L'exécutable du serveur Synergy n'existe pas.</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="617"/>
+        <location filename="src/MainWindow.cpp" line="764"/>
         <source>Synergy terminated with an error</source>
         <translation type="finished">Synergy s'est arrêté suite à une erreur</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="617"/>
+        <location filename="src/MainWindow.cpp" line="764"/>
         <source>Synergy terminated unexpectedly with an exit code of %1.&lt;br&gt;&lt;br&gt;Please see the log output for details.</source>
         <translation type="finished">Synergy s'est terminé de façon inattendue avec le code d'erreur %1.&lt;br&gt;&lt;br&gt; Vous trouverez plus de détails dans le fichier journal.</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="636"/>
+        <location filename="src/MainWindow.cpp" line="783"/>
         <source>&amp;Stop</source>
         <translation type="finished">&amp;Stop</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="659"/>
-        <source>service mode</source>
-        <translation type="finished">mode service</translation>
+        <location filename="src/MainWindow.cpp" line="1038"/>
+        <source>Please add the server (%1) to the grid.</source>
+        <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="659"/>
-        <source>desktop mode</source>
-        <translation type="finished">mode bureau</translation>
+        <location filename="src/MainWindow.cpp" line="1044"/>
+        <source>Please drag the new client screen (%1) to the desired position on the grid.</source>
+        <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="660"/>
-        <source>Synergy is running (%1).</source>
-        <translation type="finished">Synergy est en cours d'exécution (%1).</translation>
+        <location filename="src/MainWindow.cpp" line="1147"/>
+        <source>Failed to detect system architecture.</source>
+        <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="821"/>
-        <source>Elevate Synergy</source>
-        <translation type="finished">Élever Synergy</translation>
+        <location filename="src/MainWindow.cpp" line="1165"/>
+        <source>Cancel</source>
+        <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="822"/>
-        <source>Are you sure you want to elevate Synergy?
+        <location filename="src/MainWindow.cpp" line="1189"/>
+        <source>Failed to download Bonjour installer to location: %1</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/MainWindow.cpp" line="1226"/>
+        <source>Do you want to enable auto config and install Bonjour?
 
-This allows Synergy to interact with elevated processes and the UAC dialog, but can cause problems with non-elevated processes. Elevate Synergy only if you really need to.</source>
-        <translation type="finished">Êtes-vous sûr de vouloir élever Synergy&amp;nbsp;?
-Ceci autorise Synergy à interagir avec les processus élevés et le dialogue UAC, mais peut poser des problèmes avec les processus non-élevés. N'élevez Synergy que si cela est nécessaire.</translation>
+This feature helps you establish the connection.</source>
+        <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="664"/>
+        <location filename="src/MainWindow.cpp" line="1270"/>
+        <source>Auto config feature requires Bonjour.
+
+Do you want to install Bonjour?</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/MainWindow.cpp" line="815"/>
         <source>Synergy is starting.</source>
         <translation type="finished">Synergy est en train de démarrer</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="667"/>
+        <location filename="src/MainWindow.cpp" line="809"/>
+        <source>Synergy is running.</source>
+        <translation type="finished">Synergy est en cours d'exécution</translation>
+    </message>
+    <message>
+        <location filename="src/MainWindow.cpp" line="819"/>
         <source>Synergy is not running.</source>
         <translation type="finished">Synergy n'est pas en train de s'exécuter</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="724"/>
+        <location filename="src/MainWindow.cpp" line="870"/>
         <source>Unknown</source>
         <translation type="finished">Inconnu</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="762"/>
+        <location filename="src/MainWindow.cpp" line="1146"/>
+        <location filename="src/MainWindow.cpp" line="1225"/>
+        <location filename="src/MainWindow.cpp" line="1269"/>
+        <source>Synergy</source>
+        <translation type="finished">Synergy</translation>
+    </message>
+    <message>
+        <location filename="src/MainWindow.cpp" line="987"/>
         <source>Browse for a synergys config file</source>
         <translation type="finished">Parcourir pour rechercher un fichier de configuration synergys</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="775"/>
+        <location filename="src/MainWindow.cpp" line="408"/>
+        <source>Synergy is now connected, You can close the config window. Synergy will remain connected in the background.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/MainWindow.cpp" line="434"/>
+        <source>Security question</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/MainWindow.cpp" line="435"/>
+        <source>Do you trust this fingerprint?
+
+%1
+
+This is a server fingerprint. You should compare this fingerprint to the one on your server's screen. If the two don't match exactly, then it's probably not the server you're expecting (it could be a malicious user).
+
+To automatically trust this fingerprint for future connections, click Yes. To reject this fingerprint and disconnect from the server, click No.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/MainWindow.cpp" line="1000"/>
         <source>Save configuration as...</source>
         <translation type="finished">Sauvegarder la configuration sous...</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="779"/>
+        <location filename="src/MainWindow.cpp" line="1004"/>
         <source>Save failed</source>
         <translation type="finished">Erreur lors de l'enregistrement</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="779"/>
+        <location filename="src/MainWindow.cpp" line="1004"/>
         <source>Could not save configuration to file.</source>
         <translation type="finished">Impossible de sauvegarder la configuration</translation>
     </message>
@@ -342,158 +397,163 @@ Ceci autorise Synergy à interagir avec les processus élevés et le dialogue UA
         <translation type="finished">Synergy</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="54"/>
+        <location filename="res/MainWindowBase.ui" line="90"/>
+        <source>Ser&amp;ver (share this computer's mouse and keyboard):</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/MainWindowBase.ui" line="243"/>
         <source>Screen name:</source>
         <translation type="finished">Nom de l'écran:</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="61"/>
+        <location filename="res/MainWindowBase.ui" line="257"/>
         <source>&amp;Server IP:</source>
         <translation type="finished">&amp;Serveur IP:</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="160"/>
-        <location filename="res/MainWindowBase.ui" line="315"/>
+        <location filename="res/MainWindowBase.ui" line="380"/>
+        <location filename="res/MainWindowBase.ui" line="409"/>
         <source>&amp;Start</source>
         <translation type="finished">&amp;Démarrer</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="187"/>
-        <source>&amp;Server (share this computer's mouse and keyboard):</source>
-        <translation type="finished">Serveur (partager la souris et le clavier de cet ordinateur):</translation>
-    </message>
-    <message>
-        <location filename="res/MainWindowBase.ui" line="254"/>
+        <location filename="res/MainWindowBase.ui" line="181"/>
         <source>Use existing configuration:</source>
         <translation type="finished">Utiliser la configuration existante : </translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="263"/>
+        <location filename="res/MainWindowBase.ui" line="190"/>
         <source>&amp;Configuration file:</source>
         <translation type="finished">Le fichier de &amp;configuration</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="283"/>
+        <location filename="res/MainWindowBase.ui" line="210"/>
         <source>&amp;Browse...</source>
         <translation type="finished">Parcourir...</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="220"/>
+        <location filename="res/MainWindowBase.ui" line="147"/>
         <source>Configure interactively:</source>
         <translation type="finished">Configurer interactivement : </translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="232"/>
+        <location filename="res/MainWindowBase.ui" line="159"/>
         <source>&amp;Configure Server...</source>
         <translation type="finished">Configurer le serveur...</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="39"/>
-        <source>&amp;Client (use another computer's keyboard and mouse):</source>
-        <translation type="finished">Client (utilise le clavier et la souris d'un autre ordinateur):</translation>
-    </message>
-    <message>
-        <location filename="res/MainWindowBase.ui" line="84"/>
+        <location filename="res/MainWindowBase.ui" line="350"/>
         <source>Ready</source>
         <translation type="finished">Prêt</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="91"/>
+        <location filename="res/MainWindowBase.ui" line="296"/>
         <source>Log</source>
         <translation type="finished">Journal</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="167"/>
+        <location filename="res/MainWindowBase.ui" line="373"/>
         <source>&amp;Apply</source>
         <translation type="finished">Appliquer</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="174"/>
-        <source>&amp;Elevate</source>
-        <translation type="finished">Élever</translation>
-    </message>
-    <message>
-        <location filename="res/MainWindowBase.ui" line="204"/>
+        <location filename="res/MainWindowBase.ui" line="107"/>
         <source>IP addresses:</source>
         <translation type="finished">Adresses IP:</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="296"/>
+        <location filename="res/MainWindowBase.ui" line="131"/>
+        <source>Fingerprint:</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/MainWindowBase.ui" line="228"/>
+        <source>&amp;Client (use another computer's mouse and keyboard):</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/MainWindowBase.ui" line="270"/>
+        <source>Auto config</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/MainWindowBase.ui" line="390"/>
         <source>&amp;About Synergy...</source>
         <translation type="finished">À &amp;propos de Synergy</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="304"/>
+        <location filename="res/MainWindowBase.ui" line="398"/>
         <source>&amp;Quit</source>
         <translation type="finished">Quitter</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="307"/>
+        <location filename="res/MainWindowBase.ui" line="401"/>
         <source>Quit</source>
         <translation type="finished">Quitter</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="318"/>
+        <location filename="res/MainWindowBase.ui" line="412"/>
         <source>Run</source>
         <translation type="finished">Exécuter</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="329"/>
+        <location filename="res/MainWindowBase.ui" line="423"/>
         <source>S&amp;top</source>
         <translation type="finished">Arrêt</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="332"/>
+        <location filename="res/MainWindowBase.ui" line="426"/>
         <source>Stop</source>
         <translation type="finished">Arrêter</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="340"/>
+        <location filename="res/MainWindowBase.ui" line="434"/>
         <source>S&amp;how Status</source>
         <translation type="finished">Voir l'état</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="348"/>
+        <location filename="res/MainWindowBase.ui" line="442"/>
         <source>&amp;Hide</source>
         <translation type="finished">Cac&amp;her</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="351"/>
+        <location filename="res/MainWindowBase.ui" line="445"/>
         <source>Hide</source>
         <translation type="finished">Cacher</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="359"/>
+        <location filename="res/MainWindowBase.ui" line="453"/>
         <source>&amp;Show</source>
         <translation type="finished">&amp;Montrer</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="362"/>
+        <location filename="res/MainWindowBase.ui" line="456"/>
         <source>Show</source>
         <translation type="finished">Montrer</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="370"/>
+        <location filename="res/MainWindowBase.ui" line="464"/>
         <source>Save configuration &amp;as...</source>
         <translation type="finished">Sauvegarder la configuration &amp;sous...</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="373"/>
+        <location filename="res/MainWindowBase.ui" line="467"/>
         <source>Save the interactively generated server configuration to a file.</source>
         <translation type="finished">Sauvegarder la configuration générée du serveur dans un fichier.</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="381"/>
+        <location filename="res/MainWindowBase.ui" line="475"/>
         <source>Settings</source>
         <translation type="finished">Paramètres</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="384"/>
+        <location filename="res/MainWindowBase.ui" line="478"/>
         <source>Edit settings</source>
         <translation type="finished">Éditer les paramètres</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="392"/>
+        <location filename="res/MainWindowBase.ui" line="486"/>
         <source>Run Wizard</source>
         <translation type="finished">Lancer l'Assistant</translation>
     </message>
@@ -506,20 +566,98 @@ Ceci autorise Synergy à interagir avec les processus élevés et le dialogue UA
         <translation type="finished">Sans nom</translation>
     </message>
 </context>
+<context>
+    <name>PluginManager</name>
+    <message>
+        <location filename="src/PluginManager.cpp" line="58"/>
+        <source>Failed to get plugin directory.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginManager.cpp" line="63"/>
+        <source>Failed to get profile directory.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginManager.cpp" line="136"/>
+        <source>Failed to download plugin '%1' to: %2
+%3</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginManager.cpp" line="167"/>
+        <source>Could not get Windows architecture type.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginManager.cpp" line="191"/>
+        <source>Could not get Linux architecture type.</source>
+        <translation type="unfinished"></translation>
+    </message>
+</context>
+<context>
+    <name>PluginWizardPage</name>
+    <message>
+        <location filename="res/PluginWizardPageBase.ui" line="14"/>
+        <source>Setup Synergy</source>
+        <translation type="finished">Installer Synergy</translation>
+    </message>
+    <message>
+        <location filename="res/PluginWizardPageBase.ui" line="101"/>
+        <source>Please wait...</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginWizardPage.cpp" line="72"/>
+        <source>Error: %1</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginWizardPage.cpp" line="80"/>
+        <location filename="src/PluginWizardPage.cpp" line="201"/>
+        <source>Setup complete.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginWizardPage.cpp" line="93"/>
+        <source>Downloading '%1' plugin (%2/%3)...</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginWizardPage.cpp" line="104"/>
+        <source>Plugins installed successfully.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginWizardPage.cpp" line="120"/>
+        <source>Generating SSL certificate...</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginWizardPage.cpp" line="170"/>
+        <source>Downloading plugin: %1 (1/%2)</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginWizardPage.cpp" line="239"/>
+        <source>Getting plugin list...</source>
+        <translation type="unfinished"></translation>
+    </message>
+</context>
 <context>
     <name>QObject</name>
     <message>
-        <location filename="src/MainWindow.cpp" line="45"/>
+        <location filename="src/MainWindow.cpp" line="60"/>
         <source>Synergy Configurations (*.sgc);;All files (*.*)</source>
         <translation type="finished">Configuration Synergy (*.sgc);; Tous les fichiers (*.*)</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="48"/>
+        <location filename="src/MainWindow.cpp" line="67"/>
         <source>Synergy Configurations (*.conf);;All files (*.*)</source>
         <translation type="finished">Synergy Configurations (*.conf);;All files (*.*)</translation>
     </message>
     <message>
-        <location filename="src/main.cpp" line="90"/>
+        <location filename="src/main.cpp" line="119"/>
         <source>System tray is unavailable, quitting.</source>
         <translation type="finished">La barre des tâches n'est pas disponible, fermeture.</translation>
     </message>
